print("sovereign vs godric - no shield");
d = GetGameVar("C6M5_diff") + 0;

--monsters: alot of frightful nightmares, imps and demons

function Prepare()
	EnableCinematicCamera(nil);
	sleep(10);
	SummonCreature(DEFENDER, 24, 25 + d * 5, 10, 8);
	sleep(10);
	SummonCreature(DEFENDER, 24, 25 + d * 5, 10, 3);
	sleep(10);
end
 
function Start()
	EnableAutoFinish(nil);
	sleep(30);
	SummonCreature(DEFENDER, 23, 20 + d * 10, 6, 5);
	sleep(10);
	SummonCreature(DEFENDER, 25, 35 + d * 5, 8, 9);
	sleep(10);
	SummonCreature(DEFENDER, 19, 50 + d * 10, 6, 3);
	sleep(10);
	EnableCinematicCamera(not nil);
end

death = 0
function DefenderCreatureDeath()
	death = death + 1
	if death == 1 then
		sleep(10);
		SummonCreature(DEFENDER, 28, 20 + d * 5, 8, 6);
	end
	if death == 3 then
		sleep(10);
		SummonCreature(DEFENDER, 26, 45 + d * 5, 8, 6);
	end
	local defenders = GetDefenderCreatures();
	if (length(defenders) == 0) then Finish(ATTACKER) end;
end

function DefenderHeroMove(heroName)
	UnitCastGlobalSpell(GetDefenderHero(), 239);
	return not nil
end

function AttackerCreatureDeath()
	local attackers = GetAttackerCreatures();
	if (length(attackers) == 0) then Finish(DEFENDER) end;
end

